# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name          = 'va-ruby-style'
  s.version       = '0.2.0'
  s.date          = '2018-11-10'
  s.summary       = 'Visible Alpha\'s ruby style'
  s.description   = 'Visible Alpha\'s ruby style keeps a centralized set of linter rules for the ruby programming language.'
  s.homepage      = 'https://github.com/AlphaExchange/va-ruby-style'
  s.authors       = ['Pedro Monteiro']
  s.email         = ['pedro.monteiro@visiblealpha.com']
  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.executables   = `git ls-files`.split("\n").map{ |f| f =~ /^bin\/(.*)/ ? $1 : nil }.compact
  s.require_paths = ['lib']
  s.license       = 'MIT'

  s.required_ruby_version = '>= 2.2.2'

  s.add_dependency 'rubocop', '0.70.0'
  s.add_dependency 'rubocop-performance', '1.3.0'
  s.add_dependency 'rubocop-rails', '2.0.0'
  s.add_dependency 'thor', '0.19.4'

  s.add_development_dependency 'bundler', '~> 1.12'
  s.add_development_dependency 'byebug', '~> 9.1'
end
